Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 257345 - dev-util/mono-debugger" is blocking dev-lang/mercury-0.13.1-r2
Summary: dev-util/mono-debugger" is blocking dev-lang/mercury-0.13.1-r2
Status: VERIFIED INVALID
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: dotnet
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-02 08:06 UTC by Laszlo Papp
Modified: 2009-02-05 17:27 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Laszlo Papp 2009-02-02 08:06:57 UTC
Dear Gentoo Developers!

Please fix this bug as soon as possible, because I think it's a fatal error for the Developers using
mono/monodevelop/mono-debugger/monodoc etc.

After an emerge -DuNpv mono-debugger, I've got this 4 last lines:

[blocks B     ] dev-lang/mercury ("dev-lang/mercury" is blocking dev-util/mono-debugger-2.2)
[blocks B     ] dev-util/monodoc ("dev-util/monodoc" is blocking dev-lang/mono-2.2-r3)
[blocks B     ] dev-util/mono-debugger ("dev-util/mono-debugger" is blocking dev-lang/mercury-0.13.1-r2)
[blocks B     ] >=dev-lang/mono-2.2 (">=dev-lang/mono-2.2" is blocking dev-util/monodoc-2.0)

It's a very serious BUG in the portage tree, because I can't use my mono development environment because of
dev-lang/mercury-0.13.1-r2 and the other Blocking State isn't reasonable(monodoc-mono)!

In my work place I use Fedora Core 10, 64 bit OS, and the dev-util/mono-debugger installs the /usr/bin/mdb file to debug
mono application, but in this case this file (/usr/bin/mdb) belongs to the dev-lang/mercury program!

This 2 application are absolutely different, so please fix it as soon as possible!

This was the mono-debugger-mercury problem, but I can't understand monodoc-mono are blocked. It's an interesting thing
again! So in this case the new testing version of mono, named dev-lang/mono-2.2-r3, is absolutely useless, because the
user can't install them!

You know we couldn't work with these tools in my work place, and home too. I must use Fedora Core 10, because I don't
like install program manually! :o)

I hope it won't take too much time to fix it!

Thank You!



Reproducible: Always
Comment 1 Laszlo Papp 2009-02-03 08:07:28 UTC
djszapi djszapi # emerge --info
Portage 2.1.6.4 (default/linux/x86/2008.0/desktop, gcc-4.1.2, glibc-2.6.1-r0, 2.6.27-gentoo-r8 i686)
=================================================================
System uname: Linux-2.6.27-gentoo-r8-i686-Intel-R-_Pentium-R-_Dual_CPU_E2180_@_2.00GHz-with-glibc2.0
Timestamp of tree: Tue, 27 Jan 2009 01:45:01 +0000
distcc 3.0 i686-pc-linux-gnu [disabled]
ccache version 2.4 [disabled]
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7-r1, 2.1.6-r1
dev-lang/python:     2.4.4-r14, 2.5.2-r7
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.4.8
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=prescott -O2 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /opt/glftpd/etc /opt/glftpd/ftp-data /opt/openjms/config /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/lib/hsqldb /var/spool/torque"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d /usr/X11R6/bin/startx"
CXXFLAGS="-march=prescott -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccahe distlocks fixpackages metadata-transfer parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="hu en"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_EXTRA_OPTS="--timeout=180"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage/"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X acl acpi alsa berkdb bluetooth branding bzip2 cairo cdr cli cracklib crypt cups dbus dri dvd dvdr dvdread eds emboss encode esd evo fam firefox fortran gdbm gif gnome gpm gstreamer gtk hal iconv ipv6 isdnlog jpeg kde ldap libnotify mad midi mikmod mp3 mpeg mudflap ncurses nls nptl nptlonly ogg opengl openmp pam pcre pdf perl png ppds pppd python qt3 qt3support qt4 quicktime readline reflection sdl session spell spl ssl startup-notification svg sysfs tcpd tiff truetype unicode usb vorbis win32codecs x86 xml xorg xulrunner xv zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev keyboard mouse synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="hu en" USERLAND="GNU" VIDEO_CARDS="fglrx ati radeon r128 vesa vga i810 nv fbdev glint v4l nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS

djszapi djszapi #
Comment 2 Patrick Lauer gentoo-dev 2009-02-04 00:05:05 UTC
From the mono-debugger ebuild:

DEPEND="${RDEPEND}
        !dev-lang/mercury"

Changelog:
  06 Dec 2008; <keri@gentoo.org> mono-debugger-0.60.ebuild,
  mono-debugger-2.0.ebuild:
  Block against dev-lang/mercury. Closes bug #247432


dev-lang/mercury and dev-util/mono-debugger both install /usr/bin/mdb

So those two can't coexist at the moment.
Comment 3 Laszlo Papp 2009-02-05 08:15:06 UTC
OK! But why is >=dev-lang/mono-2.2 block dev-util/monodoc-2.0?

Every application for the Mono Development Environment requires monodoc too!
Comment 4 Jeroen Roovers (RETIRED) gentoo-dev 2009-02-05 15:29:25 UTC
Blockers are not bugs.
Comment 5 Laszlo Papp 2009-02-05 17:00:38 UTC
and what's the reason for it? 
Comment 6 Peter Alfredsen (RETIRED) gentoo-dev 2009-02-05 17:27:17 UTC
Beginning with mono-2.2, monodoc is a part of mono. That's why I have created virtual/monodoc and migrated all packages in tree to use it, so portage could resolve the blocker for you unless you had added dev-util/monodoc to your world file or you had out-of-tree ebuilds that depend on dev-util/monodoc. The fix for the first case is to unmerge monodoc when upgrading. The fix for the latter is to migrate the out-of-tree ebuild to use virtual/monodoc.